## breezy-debian 2.8.79

=== debian/changelog ===
breezy-debian (2.8.79) unstable; urgency=medium

  * Depend on breezy with fixed timezone handling. Closes: #1064713

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Feb 2024 23:42:44 +0000

=== debian/control ===
Source: breezy-debian
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all (>= 2.6.6-3),
               xz-utils
Build-Depends-Indep: brz (>= 3.3~),
                     debcargo,
                     devscripts (>= 2.10.59),
                     libalgorithm-merge-perl,
                     patchutils,
                     pristine-tar,
                     python3-apt,
                     python3-breezy.tests (>= 3.3~),
                     python3-debian,
                     python3-debmutate (>= 0.34),
                     python3-distro-info,
                     python3-docutils,
                     python3-dulwich (>= 0.19.9),
                     python3-subunit,
                     python3-testtools,
                     python3-yaml,
                     quilt
Vcs-Bzr: https://code.launchpad.net/brz-debian
Vcs-Browser: https://code.launchpad.net/brz-debian
Rules-Requires-Root: no
Standards-Version: 4.5.0

Package: brz-debian
Architecture: all
Depends: brz (>= 3.3~),
         devscripts (>= 2.10.59),
         dpkg-dev,
         fakeroot,
         patchutils,
         pristine-tar,
         python3-apt,
         python3-breezy (>= 3.3.5-6),
         python3-debian,
         python3-debmutate (>= 0.34),
         python3-psycopg2,
         python3-yaml,
         quilt,
         ${misc:Depends},
         ${python3:Depends}
Recommends: libalgorithm-merge-perl,
            python3-distro-info,
            python3-dulwich (>= 0.19.9),
            python3-launchpadlib,
            python3-upstream-ontologist
Suggests: debcargo
Provides: brz-buildpackage
Breaks: silver-platter (<= 0.1.0)
Enhances: brz
Description: breezy plugin for Debian package management
 brz-debian is a plugin for the breezy version control system that helps to
 automate the task of maintaining Debian packages using breezy. It is similar
 in intent to cvs-buildpackage, svn-buildpackage and the similar scripts.
 .
 It builds a Debian package from a branch, optionally using a separate
 upstream tarball.

## breezy-debian 2.8.80

=== Makefile ===
BRZ ?= $(shell which brz)
BRZ_OPTIONS ?= -Derror
SETUP ?= $(PYTHON) ./setup.py
TESTS ?= "^breezy.plugins.debian." "^unittest"

all: update-pot

.PHONY: update-pot po/breezy-debian.pot
update-pot: po/breezy-debian.pot

TRANSLATABLE_PYFILES:=$(shell find . -name '*.py' \
		| grep -v 'tests/' \
		)

po/breezy-debian.pot: $(PYFILES) $(DOCFILES)
	BRZ_PLUGINS_AT=builddeb@$(shell pwd) $(BRZ) export-pot \
          --plugin=builddeb > po/breezy-debian.pot
	echo $(TRANSLATABLE_PYFILES) | xargs \
	  xgettext --package-name "breezy-debian" \
	  --msgid-bugs-address "<bazaar@lists.canonical.com>" \
	  --copyright-holder "Canonical Ltd. <bazaar@lists.canonical.com>" \
	  --from-code ISO-8859-1 --sort-by-file --join --add-comments=i18n: \
	  -d breezy-debian -p po -o breezy-debian.pot

check:: testsuite

testsuite:
	BRZ_PLUGINS_AT=debian@$(shell pwd) $(BRZ) $(BRZ_OPTIONS) selftest $(TEST_OPTIONS) $(TESTS)

check:: flake8

flake8:
	flake8 . scripts/deb-*

mypy:
	BRZ_PLUGINS_AT=debian@$(shell pwd) mypy -p breezy.plugins.debian

docker:
	buildah build -t ghcr.io/breezy-team/deb-new-upstream:latest -f Dockerfile.deb-new-upstream .
	buildah push ghcr.io/breezy-team/deb-new-upstream:latest
	buildah build -t ghcr.io/breezy-team/deb-auto-backport:latest -f Dockerfile.deb-auto-backport .
	buildah push ghcr.io/breezy-team/deb-auto-backport:latest
	buildah build -t ghcr.io/breezy-team/deb-move-orphaned:latest -f Dockerfile.deb-move-orphaned .
	buildah push ghcr.io/breezy-team/deb-move-orphaned:latest
	buildah build -t ghcr.io/breezy-team/deb-import-uncommitted:latest -f Dockerfile.deb-import-uncommitted .
	buildah push ghcr.io/breezy-team/deb-import-uncommitted:latest

=== debian/changelog ===
breezy-debian (2.8.80) unstable; urgency=medium

  * Move Vcs to Git on salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Mar 2025 19:41:36 +0000

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
                      python3-testtools,
                      python3-yaml,
                      quilt
-Vcs-Bzr: https://code.launchpad.net/brz-debian
-Vcs-Browser: https://code.launchpad.net/brz-debian
+Vcs-Git: https://salsa.debian.org/breezy-team/breezy-debian.git
+Vcs-Browser: https://salsa.debian.org/breezy-team/breezy-debian
 Rules-Requires-Root: no
 Standards-Version: 4.5.0

## breezy-debian 2.8.80build1

=== debian/changelog ===
breezy-debian (2.8.80build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Jan 2026 19:38:57 +0000
